# Uses of Class
java.sql.SQLWarning

Packages that use SQLWarning
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.

## Uses of SQLWarning in java.sql

Subclasses of SQLWarning in java.sql
Modifier and Type
Class
Description
`class`
`DataTruncation`
An exception thrown as a `DataTruncation` exception (on writes) or reported as a `DataTruncation` warning (on reads) when a data values is unexpectedly truncated for reasons other than its having exceeded `MaxFieldSize`.
Methods in java.sql that return SQLWarning
Modifier and Type
Method
Description
`SQLWarning`
SQLWarning.`getNextWarning()`
Retrieves the warning chained to this `SQLWarning` object by `setNextWarning`.
`SQLWarning`
Connection.`getWarnings()`
Retrieves the first warning reported by calls on this `Connection` object.
`SQLWarning`
ResultSet.`getWarnings()`
Retrieves the first warning reported by calls on this `ResultSet` object.
`SQLWarning`
Statement.`getWarnings()`
Retrieves the first warning reported by calls on this `Statement` object.
Methods in java.sql with parameters of type SQLWarning
Modifier and Type
Method
Description
`void`
SQLWarning.`setNextWarning(SQLWarning w)`
Adds a `SQLWarning` object to the end of the chain.